# *****************************************************************
# Problem size and geometry
# *****************************************************************
geometry.prob_lo = [0.0, 0.0, 0.0]
geometry.prob_hi = [1.0, 1.0, 1.0]
geometry.is_periodic = [1, 1, 1]

# *****************************************************************
# VERBOSITY
# *****************************************************************
amr.v = 0  # verbosity in Amr

# *****************************************************************
# Resolution and refinement
# *****************************************************************
amr.n_cell = [64, 64, 64]
amr.max_level = 0  # number of levels = max_level + 1
amr.blocking_factor = 32  # grid size must be divisible by this
amr.max_grid_size = 64  # at least 128 for GPUs

stop_time = 15
plotfile_interval = 100000
max_timesteps = 100000

do_reflux = 0
do_subcycle = 0
hydro.artificial_viscosity_coefficient = 0.1

turbulence.enabled = 1
turbulence.length = 1.0
turbulence.target_vdisp = 1.0
turbulence.ampl_factor = 0.5
turbulence.ampl_auto_adjust = 1
turbulence.k_driv = 2.0
turbulence.k_min = 2.0
turbulence.k_max = 3.0
turbulence.sol_weight = 0.5
turbulence.spect_form = 1
turbulence.random_seed = 140281
turbulence.nsteps_per_t_turb = 10
